@echo off
goto START

*********************************************************
File: NET2.BAT

Desc: This is a sample batch routine that illustrates how
      a typical login batch routine might look with
      the use of the ChkLogin program.  The routine
      first loads the network drivers, does a simple
      check to comfirm that they loaded, runs login,
      and then checks that the user logged in.  If the
      user did not successfully login, a message is
      displayed and the user is given another chance
      to login.

      This routine assumes that the network drivers are
      located in the directory C:\NETWARE.

      The ChkLogin program is assumed to be in the
      C:\NETWARE directory.

      It also assumes that the network interface card 
      (NIC) is an SMC which uses the SMC8000 driver.
      If this is not true, substitute your driver for
      the SMC8000 driver.
*********************************************************

*********************************
*  Change to Netware Directory  *
*********************************
:START
C:
cd \NETWARE
goto LOAD

**************************
*  Load Network Drivers  *
**************************
:LOAD
lh LSL >nul
lh SMC8000 >nul
lh IPXODI >nul
lh NETX >nul
goto CHECK

*********************************************
*  Check To Ensure Network Shell Is Loaded  *
*********************************************
:CHECK
if errorlevel == 1 goto LOGIN1
if errorlevel == 0 goto NO_SHELL
goto NO_SHELL

******************************************
*  Inform User That Shell Is Not Loaded  *
******************************************
:NO_SHELL
cls
echo.
echo Netware shell is not loaded!
echo.
echo You will be unable to login to the network.
echo.
goto END

***********************************************
*  Change to Network Login Directory & Login  *
***********************************************
:LOGIN1
F:
LOGIN
C:\NETWARE\CHKLOGIN /Q
if errorlevel == 1 goto FAIL1
if errorlevel == 0 goto END

*************************************************
*  Inform User that thier Login Attempt Failed  *
*************************************************
:FAIL1
cls
echo.
echo Your first login attempt has failed!
echo.
echo The reason may be that you entered either your
echo username or password incorrectly.
echo.
echo.
pause
goto LOGIN2

***********************************************
*  Change to Network Login Directory & Login  *
***********************************************
:LOGIN2
F:
LOGIN
C:\NETWARE\CHKLOGIN /Q
if errorlevel == 1 goto FAIL2
if errorlevel == 0 goto END

*************************************************
*  Inform User that thier Login Attempt Failed  *
*************************************************
:FAIL2
cls
echo.
echo Your second login attempt has failed!
echo.
echo The reason may be that you entered either your
echo username or password incorrectly.
echo.
pause

:END
C:
cd \



      